Bug 19920 - changepassword is exported from C4::Members but has been removed
Summary: changepassword is exported from C4::Members but has been removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 16853
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-05 17:17 UTC by Jonathan Druart
Modified: 2019-02-25 07:07 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19920: Removed unnecessary code from C4/Members.pm (828 bytes, patch)
2019-01-16 02:18 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 19920: Removed unnecessary code from C4/Members.pm (877 bytes, patch)
2019-01-17 10:23 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 19920: Removed unnecessary code from C4/Members.pm (935 bytes, patch)
2019-01-20 14:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-01-05 17:17:19 UTC

    
Comment 1 Jonathan Druart 2018-01-05 17:17:57 UTC
C4/Members.pm:        &changepassword

But bug 16853 removed this subroutine.
Comment 2 Jasmine Amohia 2019-01-16 02:18:00 UTC
Created attachment 84037 [details] [review]
Bug 19920: Removed unnecessary code from C4/Members.pm

A seperate bug (Bug 16853) removed the subroutine used in this file. I removed the code as it had become unnecessary.

Test plan:
1. Confirm that &changepassword can't be found in C4/Members.pm
Comment 3 ByWater Sandboxes 2019-01-17 10:23:27 UTC
Created attachment 84136 [details] [review]
Bug 19920: Removed unnecessary code from C4/Members.pm

A seperate bug (Bug 16853) removed the subroutine used in this file. I removed the code as it had become unnecessary.

Test plan:
1. Confirm that &changepassword can't be found in C4/Members.pm

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2019-01-17 10:24:17 UTC
Thanks Jasmine!
Comment 5 Katrin Fischer 2019-01-20 14:49:01 UTC
Created attachment 84256 [details] [review]
Bug 19920: Removed unnecessary code from C4/Members.pm

A seperate bug (Bug 16853) removed the subroutine used in this file. I removed the code as it had become unnecessary.

Test plan:
1. Confirm that &changepassword can't be found in C4/Members.pm

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-25 17:59:03 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-01-31 16:38:05 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-01 21:14:42 UTC
pushed to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-02-04 12:05:51 UTC
Pushed to 17.11.x for 17.11.15